<div class="row">
    <div class="col-sm-1"></div>
    <div class="col-sm-10">
        <h1><{$smarty.const._MD_KWLEAVE_SIGN}></h1>
    </div>
    <div class="col-sm-1"></div>
</div>
<{if $iskwLeaveAdmin || $iskwLeaveCheck || $iskwLeaveMaster}>
<div class="row">
    <div class="col-md-1"></div>
    <div class="col-md-10 text-center">
        <p class="text-primary"><{$smarty.const._MD_KWLEAVE_TODAY}><{$smarty.const._TAD_FOR}><{$today}>  您目前得身分是：	<span class="badge badge-danger bg-danger"><{$class_title}><{$job}></span></p>
        <div class="alert alert-info" style="margin: 10px auto;"><{$sign_year}><{$smarty.const._MD_KWLEAVE_YEAR}>
            <select name="type_id_y" id="type_id_y" onChange="location.href='sign.php?job=<{$job}>&year='+ $('#type_id_y').val()" >
                <option  value="" ><{$smarty.const._MD_KWLEAVE_BOOK_SELECT}></option>
                <{foreach from=$all_year_arr item=arr_y}>
                <option  value="<{$arr_y}>"  <{if $year == "$arr_y"}>selected<{/if}>><{$arr_y}></option>
                <{/foreach}>
            </select>
            <select name="type_id_s" id="type_id_s" onChange="location.href='sign.php?job=<{$job}>&year='+$('#type_id_y').val()+'&sign='+$('#type_id_s').val();" >
                <option  value="" ><{$smarty.const._MD_KWLEAVE_BOOK_SELECT}></option>
                <option  value="1" <{if $sign==1}>selected<{/if}>>未核</option>
                <option  value="2" <{if $sign==2}>selected<{/if}>>已核</option>
                <option  value="3" <{if $sign==3}>selected<{/if}>>全部</option>
            </select>
            
            審核職務：<{foreach from=$job_arr key=k item=job_title}> 
                <button type="button" value="<{$job_title}>" class="btn-job btn-sm btn-primary " alt="點選切換身分" title="點選切換身分"><{$k}><{$job_title}></button>
            <{/foreach}>
            <{if $backup_job_arr}>職務代理：
                <{foreach from=$backup_job_arr key=k item=job_title}>
                    <button type="button" value="<{$job_title}>" id="<{$k}>" class="btn-job btn btn-sm btn-warning" alt="點選切換身分" title="點選切換身分"><{$k}><{$job_title}></button>
                <{/foreach}>
            <{/if}>
        </div>

    <{if $all_book}>
        <{includeq file="$xoops_rootpath/modules/kw_leave/templates/op_kw_leave_sign_job.tpl"}>
        <{$bar}>
    <{else}>
        <div class="alert alert-danger">
        <{$smarty.const._MD_KWLEAVE_NO_BOOK}>
        </div>
    <{/if}>
    </div>
    <div class="col-md-1"></div>
</div>


<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $(".btn-job ").click(function(e) {
            var job = $(this).val();
            window.location.href = 'sign.php?review=<{$review}>&value=<{$value}>&job='+job;
        });
        
        $(".btn-ok").click(function() {
            let id = $(this).val();
            let user =  $(this).attr('name');
            //alert(user +"-"+ sign_id );
            $.get("sign.php", {op:"kw_leave_sign_ok", user: user , id: id }, function(res){
                $('#sign_ok'+id).hide();
                $('#sign_deny'+id).hide();
                $('#td_'+id).html('<span class="badge badge-success bg-success">已核准</span>');
            });
        });

        $(".btn-deny").click(function() {
            let id = $(this).val();
            let user =  $(this).attr('name');
            Swal.fire({
                title:'提醒!!退回表示學生不核准請假!',
                text:'取消退回僅能在此頁面，確定要退回?',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonColor: '#AAAAAA',
                confirmButtonColor: '#FF0000',
                confirmButtonText: '確定退回'
                }).then((result) => {
                    if (result.isConfirmed) {
                        $.get("sign.php", {op: "kw_leave_sign_deny" ,user: user , id:id }, function(res){
                            console.log(res);
                            $('#sign_ok'+ id).text('取消退回');
                            $('#sign_deny'+ id).hide();
                            $('#td_'+id).append('<span class="badge badge-danger bg-danger">退回</span>');
                        });
                }//end of then
            });//end of swal
        });
        
        $(".btn-title").click(function() {
            let book_id = $(this).val();
            $('#stuModal_'+book_id).modal('show');
            
            $("#btn_close_"+book_id).click(function() {
                $('#stuModal_'+book_id).modal('hide');
            });
    
            $("#btn_x_"+book_id).click(function() {
                $('#stuModal_'+book_id).modal('hide');
            });

        });
    });
</script>

<{/if}>
