<{if $iskwLeaveAdmin || $iskwLeaveCheck || $iskwLeaveMaster}>
<!-- Modal 彈出假單資訊-->
<div class="modal fade" id="stuModal_<{$book.book_id}>" tabindex="-1" aria-labelledby="stuModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
    <div class="modal-content">
        <div class="modal-header">
            <div id="class_id" class="text-danger"></div>
            <h5 class="modal-title" id="stuModalLabel">
                <{$book.book_title}>學生請假資訊</h5>
            <button type="button" class="btn-close" id="btn_x_<{$book.book_id}>" data-bs-dismiss="modal" aria-label="Close"> x </button>
        </div>
        <div class="modal-body">
            <div class="container-fluid">
                <div id="book_show">
                    <div class="vtable" style="margin: 0px auto 0px;">
                        <ul class="vhead">
                            <!--假別-->
                            <li class="w1 text-center text-start">
                                <{$smarty.const._MD_KWLEAVE_BOOK_CATE}>
                            </li>
                            <!--日期--><!--天數-->
                            <li class="w2 text-center text-start">
                                <{$smarty.const._MD_KWLEAVE_BOOK_DATE}>
                            </li>
                            <!--申請時間-->
                            <li class="w1 text-center text-start">
                                <{$smarty.const._MD_KWLEAVE_BOOK_DATE_UPDATE}>
                            </li>
                            <!--是否送出--> <!--是審核完成-->
                            <li class="w1 text-center text-start">
                                <{$smarty.const._MD_KWLEAVE_BOOK_SIGN}>
                            </li>
                        </ul>
                        <ul>
                            <!--假別-->
                            <li class="vm w1 text-center">
                                <span class="badge badge-info bg-info"><{$book.cate_title}></span>
                                <span class="badge badge-info bg-warning"><{$book.book_num}></span>
                            </li>
                            <!--日期--><!---->
                            <li class="vm w2 text-center">
                                <span class="badge badge-warning  bg-warning"><{$book.book_dt_start}> </span>到<br> <span class="badge badge-warning  bg-warning"><{$book.book_dt_end}></span>
                                
                            </li>
                            <!--申請時間-->
                            <li class="vm w1 text-center">
                                <span class="badge badge-success bg-primary"><{$book.book_dt_update}></span>
                            </li>
                            <!--家長簽名-->
                            <li class="vm w1 text-center text-start">
                                <{$book.img_content}>
                            </li>
                        </ul>
                        <!--請假事由-->
                        <ul>
                            <li class="vm w1 text-center text-start">
                                事由
                            </li>
                            <li class="vm w2 text-center text-start">
                                <{$book.book_desc}>
                            </li>
                        <!--家長資訊-->
                            <li class="vm w1 text-center text-start">
                                <{$book.stu_parent}>(<{$book.stu_contact}>)
                            </li>
                            <li class="vm w1 text-center">
                            <{$book.stu_email}>
                            </li>
                        </ul>
                    </div>

                    <!--簽核流程-->
                    <div class="col-12 border-2 border-primary" style="margin: 10px auto 20px;">
                        <{if $process_arr}>
                        <div class="row align-center " >
                            <div class="col border text-center"><{$smarty.const._MD_KWLEAVE_CLASS_TEACHER}></div>
                            <{foreach from=$process_arr item="process"}>
                            <div class="col border text-center"><{$process}></div>
                            <{/foreach}>
                        </div>
                        <div class="row align-center ">
                            <{foreach from=$book.sign_arr item="sign"}>
                            <div class="col border">
                                <{if $sign.sign_time }>
                                    <span class="badge badge-pill badge-success bg-success" data-toggle="tooltip" data-placement="bottom" data-bs-toggle="tooltip" data-bs-placement="bottom" alt="<{$sign.sign_time}>" title="<{$sign.sign_time}>">已簽核 </span>
                                <{elseif !$sign.sign_time && $book.book_isfinish == 1}>
                                    <span class="badge badge-pill badge-danger bg-danger" data-toggle="tooltip" data-placement="bottom" data-bs-toggle="tooltip" data-bs-placement="bottom" alt="<{$sign.sign_time}>" title="<{$sign.sign_time}>">退回</span>
                                <{else}>
                                    <span class="badge badge-pill badge-secondary bg-secondary" alt=" 未簽核">
                                    未簽核
                                    </span>
                                <{/if}>
                            </div>
                            <{/foreach}>
                        </div>
                        <{/if}>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn-close btn btn-primary"  id="btn_close_<{$book.book_id}>" data-bs-dismiss="modal">Close</button>
        </div>
    </div>
    </div>
</div>
<{/if}>


