<div class="row">
	<!--list-->
	<div class="col-md-6">
        <h2><{$smarty.const._MD_KWLEAVE_STU_LIST}></h2>
		<div id="kw_leave_stu_save_msg"></div>
        <ul class="list-group" id="kw_leave_stu_sort">
        <{foreach from=$school_grade key=i item=grade}>
            <li id="classli_<{$grade}>" class="list-group-item">
            <{$grade}>年級 
            <{foreach from=$school_class key=j item=class}>
            <{assign var="index" value="`$i*100+$j`"}>              
                <{if !$stu_check[$index]}>
                    <button type="button" class="btn-sm btn-secondary" id="kw_leave_stu_<{$index}>" value="<{$index}>"  data-bs-toggle="tooltip" data-bs-placement="top" data-bs-toggle="tooltip" data-bs-placement="top" title="沒有學生" disabled> <{$index}> </button>
                <{elseif  $stu_check[$index] == $class_arr[$index].class_num}>
                    <button type="button" class="stu-btn btn-sm btn-success" id="kw_leave_stu_<{$index}>" value="<{$index}>"  data-bs-toggle="tooltip" data-bs-placement="top" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-target="#stuModal" title="點入班級"><{$index}> (<font color="yellow"><{$stu_check[$index]}></font>) </button>
                <{else}>
                    <button type="button" class="stu-btn btn-sm btn-danger" id="kw_leave_stu_<{$index}>" value="<{$index}>"  data-bs-toggle="tooltip" data-bs-placement="top"  data-toggle="tooltip" data-placement="top" data-bs-target="#stuModal" title="班級人數錯誤"><{$index}>(<font color="yellow"><{$stu_check[$index]}> / <{$class_arr[$index].class_num}></font>)</button>
                <{/if}>
            <{/foreach}>
            </li>
        <{/foreach}>
        </ul>
        <p class="text-danger">請注意!!灰色表示無學生，紅色表示班級人數和設定不一致，綠色表示正確!</p>	
    </div>
        
	<!--stu form-->
	<div class="col-md-6">
		<h2><{$smarty.const._MD_KWLEAVE_STU_SETUP}></h2>
		<{includeq file="$xoops_rootpath/modules/kw_leave/templates/sub_kw_leave_stu_form.tpl"}>
	</div>
</div>
<div id="stu_show"></div>

<!-- Button trigger modal -->
<!-- Modal -->
<div class="modal fade" id="stuModal" tabindex="-1" aria-labelledby="stuModalLabel" aria-hidden="true">
<div class="modal-dialog">
    <div class="modal-content">
    <div class="modal-header">
        <div id="class_id" class="text-danger"></div>
        <h5 class="modal-title" id="stuModalLabel">學生列表</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">x</button>
    </div>
    <div class="modal-body">
        <div class="container-fluid">
            <div class="row" id="all_stu">
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn-close btn-primary" data-bs-dismiss="modal">Close</button>
    </div>
    </div>
</div>
</div>

<!--upload file-->
<script type="text/javascript">
$(document).ready(function(){
        //show all stu
    $(".stu-btn").click(function() {
            let class_id = $(this).val();
            $("#class_id").html(class_id);
            //alert("class:"+$class_id);
            $.get("config.php", {op: "kw_leave_stu_show" , type:"stu", tab:'6', class_id: class_id},    function(res){
                $("#all_stu").html(res);
                //alert('Ajax success!');
            });
            //show stu in same class
            $('#stuModal').modal('show');
    });

    $(".btn-close").click(function() {
        $('#stuModal').modal('hide');
    });
});
</script>


