<?php

//載入XOOPS主設定檔（必要）
require_once dirname(dirname(__DIR__)) . '/mainfile.php';
include_once XOOPS_ROOT_PATH . "/header.php";

//載入自訂的共同函數檔
require_once __DIR__ . '/function.php';
xoops_loadLanguage('main', basename(__DIR__));
xoops_loadLanguage('modinfo', basename(__DIR__));

// include_once "interface_menu.php";
$allDB = array('office','cate','process','master','class','stu'); //config用
$workDate_path = XOOPS_ROOT_PATH . '/uploads/kw_leave/workDate.json';
$restDate_path = XOOPS_ROOT_PATH . '/uploads/kw_leave/restDate.json';

if ($xoopsUser) {
    $kw_leave_uid = $xoopsUser->uid();
    $iskwLeaveAdmin = $xoopsUser->isAdmin($xoopsModule->getVar('mid'));
    $iskwLeaveCheck = kw_leave_isCheck($kw_leave_uid); //是否有審查權限 return bool
    $iskwLeaveMaster= kw_leave_isMaster($kw_leave_uid);//是否有導師權限
}
//$iskwLeaveBook  = kw_leave_isBook(); //是否有請假權限 return bool
//班級設定
if(!isset($school_grade)){
    $school_grade = [];
    foreach($xoopsModuleConfig['school_grade'] as $k=>$v){
        if ($v=='幼')
            $school_grade[0] = $v;
        else if($v=='一')
            $school_grade[1] = $v;
        else if($v=='二')
            $school_grade[2] = $v;
        else if($v=='三')
            $school_grade[3] = $v;
        else if($v=='四')
            $school_grade[4] = $v;
        else if($v=='五')
            $school_grade[5] = $v;
        else if($v=='六')
            $school_grade[6] = $v;
        else if($v=='七')
            $school_grade[7] = $v;
        else if($v=='八')
            $school_grade[8] = $v;
        else if($v=='九')
            $school_grade[9] = $v;
        else if($v=='十')
            $school_grade[10] = $v;
        else if($v=='十一')
            $school_grade[11] = $v;
        else if($v=='十二')
            $school_grade[12] = $v;
    }
}
// var_dump($school_grade);
if(!isset($school_class)){
    $c = explode(";",$xoopsModuleConfig['school_class']);
    $school_class = [];
    foreach($c as $k=>$v){
        $school_class[$k+1] = $v;
    }
}

// var_dump($school_class);
$kw_leave_error="";

//學生請假
$interface_menu[_MI_KWLEAVE_SMNAME1] = "index.php";
$interface_icon[_MI_KWLEAVE_SMNAME1] = "fa-university";

//請介列表
$interface_menu[_MI_KWLEAVE_SMNAME2] = "book.php";
$interface_icon[_MI_KWLEAVE_SMNAME2] = "fa-clipboard";

if ($iskwLeaveMaster || $iskwLeaveCheck || $iskwLeaveAdmin) {
    //出席統計
    $interface_menu[_MI_KWLEAVE_SMNAME3] = "statistic.php";
    $interface_icon[_MI_KWLEAVE_SMNAME3] = "fa-bar-chart-o";
    //學生管理
    $interface_menu[_MI_KWLEAVE_SMNAME4] = "teacher.php";
    $interface_icon[_MI_KWLEAVE_SMNAME4] = "fa-group";
     //審核假單
    $interface_menu[_MI_KWLEAVE_SMNAME5] = "sign.php";
    $interface_icon[_MI_KWLEAVE_SMNAME5] = "fa-check-square-o";
}

if ($iskwLeaveAdmin) {
    //系統設定
    $interface_menu[_MI_KWLEAVE_SMNAME6] = "config.php";
    $interface_icon[_MI_KWLEAVE_SMNAME6] = "fa-cogs";
}
