<div class="row">
  <div class="col-md-1"></div>
  <div class="col-md-10">
    <h1><{$smarty.const._MD_KWLEAVE}></h1>
    <{if $stu_login==1}>
    <div class="text-center">
      <a href="<{$xoops_url}>/modules/tad_login/index.php" class="btn btn-info" style="margin:30px auto 100px;background: white;">
        <img src="<{$xoops_url}>/modules/kw_leave/images/web.png" alt="請先登入 OpenID" title="臺南市政府教育局 OpenID 登入" >
      </a><h3>請先登入 OpenID</h3>
      
    </div>
    <{else}>
    <div class="row">
      <div class="col-md-2 text-center align-center">
        <img class="img-fluid img-thumbnail-bg" src="images/web.png" alt="student_pic" >
      </div>
      <div class="col-md-9">
        <!--套用formValidator驗證機制-->
        <form action="index.php" method="post" id="loginForm" class="myform" role="form">
          <div class="row form-floating gy-1 m-2">
            <div class="col-3 text-right text-end">
              <label class="text-right" for="floatingInput"><{$smarty.const._MD_KWLEAVE_GRADE}></label>
            </div>
            <div class="col-3">
              <select name='grade' class="form-control form-select-md validate[required]" aria-label=".form-select-sm">
                <{foreach from=$school_grade key=i item=grade}>
                <option value="<{$i}>"><{$grade}></option>
                <{/foreach}>
              </select>
            </div>
            <div class="col-3 text-right text-end">
              <label for="floatingInput"><{$smarty.const._MD_KWLEAVE_CLASS}></label>
            </div>
            <div class="col-3">
              <select name='class' class="form-control form-select-md validate[required]" aria-label=".form-select-lg example">
                <{foreach from=$school_class key=i item=class}>
                <option value="<{$i}>"><{$class}></option>
                <{/foreach}>
              </select>
            </div>
            <!--br-->
            <div class="col-3 text-right text-end"><label for="floatingInput"><{$smarty.const._MD_KWLEAVE_STUID}></label></div>
            <div class="col-9 align-left"><input type="text" name="stuid" class="form-control validate[required]" id="stuid" placeholder="<{$smaty.const._MD_KWLEAVE_STUID}>"></div>
            <!--br-->
            <div class="col-3 text-right text-end"><label for="floatingInput"><{$smarty.const._MD_KWLEAVE_ID}></label></div>
            <div class="col-9 text-left text-start"><input type="text" name="id" class="form-control validate[required]" id="stuid" placeholder="<{$smaty.const._MD_KWLEAVE_STUID}>"></div>
            <!--br-->
            <div class="col-3 text-right text-end">
              <label for="floatingInput"><{$smarty.const._MD_KWLEAVE_VALID}></label>
            </div>
            <div class="col-3 text-left text-start">
              <input type="text" name="anscheck" class="form-control validate[required]" id="anscheck" placeholder="<{$smaty.const._MD_KWLEAVE_STUID}>" ></div>
            <picture class="col-3">
              <img src='showpic.php' id="verify_img" onClick="alter_img()">
            </picture>
            <div class="col-3 text-center">
              <button class="btn btn-sm" type='button' id='image_btn'><{$smarty.const._MD_KWLEAVE_RELOADIMG}></button>
            </div>
            <!--br-->
            <div class="col-3"><{$login_token}></div>
            <div class="col-9 text-left text-start">
              <input type="hidden" name="op" id="op" value="kw_leave_login_apply">
              <button class="w-100 btn btn-lg btn-primary" type="submit"><{$smarty.const._MD_KWLEAVE_APPLY}></button>
            </div>
          </div>
        </form>
      </div>
    </div>
    <{/if}>
  </div><!--end of col-md-10-->
  <div class="col-md-1"></div>
</div>



<script>
  $('#image_btn').on('click', function () {
    let img = $('#verify_img');
    let src = img.attr('src');
    img.attr('src', src);
    //let change=document.getElementById("verify_img");
    //change.src="showpic.php";
    });
    function alter_img(){
      let change=document.getElementById("verify_img");
      change.src="showpic.php";
    }
</script>	